---
title: Navigator.vibrate()
slug: Web/API/Navigator/vibrate
tags:
  - API
  - Method
  - Navigator
  - Reference
  - Vibration API
---
<div>{{APIRef("Vibration API")}}</div>

<p>The <strong><code>Navigator.vibrate()</code></strong> method pulses the vibration hardware on the device, if such hardware exists. If the device doesn't support vibration, this method has no effect. If a vibration pattern is already in progress when this method is called, the previous pattern is halted and the new one begins instead.</p>

<p>If the method was unable to vibrate because of invalid parameters, it will return <code>false</code>, else it returns <code>true</code>. If the pattern leads to a too long vibration, it is truncated: the max length depends on the implementation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>successBool</em> = window.navigator.vibrate(<em><var>pattern</var></em>);
</pre>

<dl>
 <dt><code><var>pattern</var></code></dt>
 <dd>Provides a pattern of vibration and pause intervals. Each value indicates a number of milliseconds to vibrate or pause, in alternation. You may provide either a single value (to vibrate once for that many milliseconds) or an array of values to alternately vibrate, pause, then vibrate again. See <a href="/en-US/docs/WebAPI/Vibration">Vibration API</a> for details.</dd>
</dl>

<p>Passing a value of <code>0</code>, an empty array, or an array containing all zeros will cancel any currently ongoing vibration pattern.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">window.navigator.vibrate(200); // vibrate for 200ms
window.navigator.vibrate([100,30,100,30,100,30,200,30,200,30,200,30,100,30,100,30,100]); // Vibrate 'SOS' in Morse.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Vibration API')}}</td>
   <td>{{Spec2('Vibration API')}}</td>
   <td>Linked to spec is the latest editor's draft; W3C version is a REC.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Navigator.vibrate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/WebAPI/Vibration">Vibration API</a></li>
</ul>
